Summary:	ThinkPad fan control program
Summary(pl.UTF-8):	Program do sterowania wiatraczkiem w ThinkPadach
Name:		thinkfan
Version:	0.8.1
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/thinkfan/%{name}-%{version}.tar.gz
# Source0-md5:	aaa6c88bab3b43756ac5a1638622828c
Source1:	%{name}.init
URL:		http://thinkfan.sourceforge.net/
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A minimalist fan control program. Supports any kind of system via the
sysfs hwmon interface (/sys/class/hwmon). It is designed to eat as
little CPU power as possible. The development was inspired by the
excellent work people have done on thinkwiki.org.

%description -l pl.UTF-8
Minimalistyczny program do sterowania wiatraczkiem. Obsługuje dowolny
system poprzez interfejs sysfs hwmon (/sys/class/hwmon). Został tak
zaprojektowany, aby obciążać procesor w najmniejszym możliwym stopniu.
Stworzenie tego narzędzia zostało zainspirowane wspaniałą pracą
wykonaną przez ludzi na thinkwiki.org.

%prep
%setup -q

%{__sed} -i -e 's#gcc#%{__cc}#g' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/rc.d/init.d}

install -p thinkfan $RPM_BUILD_ROOT%{_sbindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p examples/thinkfan.conf.sysfs $RPM_BUILD_ROOT%{_sysconfdir}/thinkfan.conf
cp -p thinkfan.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add thinkfan
%service thinkfan restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del thinkfan
	%service thinkfan stop
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README examples/thinkfan.conf.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/thinkfan
%{_mandir}/man1/thinkfan.1*
%changelog
* Sun Aug 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c03e86e
- up to 0.8.1

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> c7c1ca2
- updated to 0.8.0

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> ff73866
- updated to 0.7.3

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> e3fa13d
- pl
- better group, more specific GPL version

* Sat Aug 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a6ba0f8
- up to 0.7.2

* Tue Mar 15 2011 Elan Ruusamäe <glen@pld-linux.org> 66906e3
- there is no logs to flush-logs, cleanup leftover from crond. plz use template.init from rc-scripts when creating new initscripts

* Tue Mar 15 2011 Elan Ruusamäe <glen@pld-linux.org> 5f5f68f
- install generic sysfs config by default, update desc
- restart service on upgrade, stop on uninstall
- one time make is enough

* Mon Mar 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c85460
- initla

